<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');
ini_set('memory_limit', '-1');
class PromocionlocalF extends CI_Controller
{
	public function __construct()
	{
		parent::__construct();
		$this->load->model('promociones/franquiciatario/promocionlocalF_model');
		$this->load->library(array('session','form_validation'));
		$this->load->helper(array('url'));

	}

	//Acá se muestra la pantalla principal de este modulo (lista de promociones)
	public function index()
	{ 
		if($this->session->userdata('Rol_IdRol')==FALSE || 
			$this->session->userdata('Rol_IdRol') == '1'|| 
			$this->session->userdata('Rol_IdRol') == '3')
		{
			redirect(base_url().'acceso/acceso');
		} else {
    	$data['Franquicias']=$this->promocionlocalF_model->BuscarFranquicia();
		foreach ($data['Franquicias'] as $i => $Franquicias) 
		$this->db->select('*');
		$this->db->join('categoria','Categoria_IdCategoria = IdCategoria','inner');
		$this->db->join('zona','Zona_IdZona = IdZona','inner');
		$this->db->join('franquicias','Franquicias_IdFranquicias = IdFranquicias','inner');
		$this->db->where('TipoPromocion_IdTipoPromocion','2');
		$this->db->where('Estatus','ACTIVA');
		$this->db->where('Franquicias_IdFranquicias',$i);
		$data['consulta']=$this->db->get('promociones')->result();
		
		$this->load->view('layout/headerFran');
		$this->load->view('layout/menuFranquicia');
		$this->load->view('promociones/franquiciatario/listapromocionlocalF_view',$data);
		$this->load->view('layout/footer');
		}
	}
	// Aca se muestra la vista del formularios para agregar una nueva promoción local
	public function agregar()
	{
		if($this->session->userdata('Rol_IdRol')==FALSE || 
			$this->session->userdata('Rol_IdRol') == '1'|| 
			$this->session->userdata('Rol_IdRol') == '3')
		{
			redirect(base_url().'acceso/acceso');
		} else {
		$this->load->view('layout/headerFran');
		$this->load->view('layout/menuFranquicia');
		$datos['ReTipoPromocion']=$this->promocionlocalF_model->BuscarTipoPromocion();
		$datos['ReCategoria']=$this->promocionlocalF_model->BuscarCategoria();
		$datos['ReFranquicia']=$this->promocionlocalF_model->BuscarFranquicia();
		$datos['zonaFranquicia'] = $this->promocionlocalF_model->BuscarZonaFranquicia();
		$datos['zonas'] = $this->promocionlocalF_model->BuscarZona();
		$this->load->view('promociones/franquiciatario/agregarpromocionlocalF_view', $datos);
		$this->load->view('layout/footer');
		}
	}
//esta funcion manda los datos capturados en la vista al modelo para que puedan ser guardados en la bd
	public function guardar()
	{ 
		$parametro['NombrePromocion']= "PL-".$this->input->post('txt_NombrePromocionpro')."   ".$parametro['txt_cantidad']= $this->input->post('txt_cantidad')." SESIONES";
		$parametro['FolioPromocion']="FMAS".$this->input->post('idfranquicia')."PL";
		$parametro['Cantidad']= $this->input->post('txt_cantidad');
		$parametro['Precio']= $this->input->post('txtnumero_servicios');
		$parametro['DescripcionPromocion']= $this->input->post('txt_DescripcionPromocion');
		$parametro['FechaInicioPromocion']= $this->input->post('txt_fechai');
		$parametro['FechaTerminoPromocion']= $this->input->post('txt_fechaf');
		$parametro['Estatus']= $this->input->post('txt_estatus');
		$parametro['tipopromocion_IdTipoPromocion']= $this->input->post('txt_idtipopro');
		$parametro['categoria_IdCategoria']= $this->input->post('txtcategoria');
		$parametro['zona_IdZona']= $this->input->post('zonaid');
		$parametro['ClasePromocion']= $this->input->post('Clase');
		$parametro['ClasificacionPromocion']= $this->input->post('Clasificacion');
		$parametro['franquicias_IdFranquicias']= $this->input->post('idfranquicia');
		$this->promocionlocalF_model->guardar($parametro);
		
		//redirect('promociones/administrador/promocionlocalA');

	}

	//Esta función muestra un formulario con los datos de una promoción que ya ah sido guardada anteriormente para ver su información y asi poder editar los campos requeridos
	public function editar()
	{ 
		if($this->session->userdata('Rol_IdRol')==FALSE || 
			$this->session->userdata('Rol_IdRol') == '1'|| 
			$this->session->userdata('Rol_IdRol') == '3')
		{
			redirect(base_url().'acceso/acceso');
		} else {
		$id= $this->uri->segment(5);
		$obtenerenlace = $this->promocionlocalF_model->obtenerenlace($id);
		if($obtenerenlace != FALSE){
			foreach ($obtenerenlace->result() as $fila) {
				$IdPromociones = $fila->IdPromociones;
				$tipopromocion_IdTipoPromocion = $fila->tipopromocion_IdTipoPromocion;
				$NombrePromocion = $fila->NombrePromocion;
				$categoria_IdCategoria = $fila->categoria_IdCategoria;
				$Precio = $fila->Precio;
				$DescripcionPromocion = $fila->DescripcionPromocion;
				$FechaInicioPromocion = $fila->FechaInicioPromocion;
				$FechaTerminoPromocion=$fila->FechaTerminoPromocion;
				$franquicias_IdFranquicias=$fila->franquicias_IdFranquicias;
				$zona_IdZona=$fila->zona_IdZona;
			}
			$data = array(
				'IdPromociones' => $IdPromociones,
				'tipopromocion_IdTipoPromocion' => $tipopromocion_IdTipoPromocion,
				'NombrePromocion' => $NombrePromocion,
				'categoria_IdCategoria' => $categoria_IdCategoria,
				'Precio' => $Precio,
				'DescripcionPromocion' => $DescripcionPromocion,
				'FechaInicioPromocion' => $FechaInicioPromocion,
				'FechaTerminoPromocion' => $FechaTerminoPromocion,
				'franquicias_IdFranquicias' => $franquicias_IdFranquicias,
				'zona_IdZona' => $zona_IdZona);
			}else{
				$data ='';
				return FALSE;
		}
		$data['ReCategoria']=$this->promocionlocalF_model->BuscarCategoria();
		$data['ReZona']=$this->promocionlocalF_model->BuscarZona();
		$data['ReFranquicia']=$this->promocionlocalF_model->BuscarFranquicia1();
		$this->load->view('layout/headerFran');
		$this->load->view('layout/menuFranquicia');
		$this->load->view('promociones/franquiciatario/editarpromocionlocalF_view', $data);
		$this->load->view('layout/footer');
		}
	}

	//Esta función manda los datos del formulario editado al modelo para que los cambios realizados puedan ser guardados en la bd
	public function editarenlace ()
	{
		$IdPromociones= $this -> uri->segment(5);
		$data=array(
			'IdPromociones' => $this -> input ->post('IdPromociones', true),
			'TipoPromocion_IdTipoPromocion' => $this -> input ->post('TipoPromocion_IdTipoPromocion', true),
			'NombrePromocion' => $this -> input ->post('NombrePromocion', true),
			'Categoria_IdCategoria' => $this -> input ->post('Categoria_IdCategoria', true),
			'Precio' => $this -> input ->post('Precio', true),
			'DescripcionPromocion' => $this -> input ->post('DescripcionPromocion', true),
			'FechaInicioPromocion' => $this -> input ->post('FechaInicioPromocion', true),
			'FechaTerminoPromocion' => $this -> input ->post('FechaTerminoPromocion', true),
			'Zona_IdZona' => $this -> input ->post('Zona_IdZona', true)		
			);
		$this->promocionlocalF_model->editarenlace($IdPromociones, $data);
		redirect('promociones/franquiciatario/promocionlocalF');
	}

	//esta función perite buscar un apromoción por medio de su nombre
	public function buscar ()
	{		
		if($this->session->userdata('Rol_IdRol')==FALSE || 
			$this->session->userdata('Rol_IdRol') == '1'|| 
			$this->session->userdata('Rol_IdRol') == '3')
		{
			redirect(base_url().'acceso/acceso');
		} else {

		$data = array();
		$query = $this->input->get('query', TRUE);
		if ($query) {
			$result = $this->promocionlocalF_model->buscar(trim($query));
			if ($result != FALSE){
				$data = array(
					'result' => $result,
				);
			}else  {
				$data = array('result' => '');
			}	
				}else{
			$data = array('result' => '');
		}
		$this->load->view('layout/headerFran');
		$this->load->view('layout/menuFranquicia');
		$this->load->view('promociones/franquiciatario/buscarpromocionlocalF_view', $data);
		$this->load->view('layout/footer');
			}
	}

	public function eliminar() 
	{
		 $id= $this->uri->segment(5);
		 $this->promocionlocalF_model->eliminar($id);
	}
}